import pygame, random
from homingrock import HomingRock
from bullet import Bullet
import math
import random
import crashteroidsconfig

class EvilTwin(HomingRock):
 def __init__(self, player, bulletsGroup, difficulty = 1):
  HomingRock.__init__(self, player, config.evil_twin_img)
  self.player = player
  self.bullets = bulletsGroup
  self.startPos()
  self.rotationRate = 5
  self.points = 500
  self.difficulty = 1
  self.setDifficulty(difficulty)

 def update(self):
  HomingRock.update(self)
  if self.targetted:
   self.shoot()
   
 def setDifficulty(self, diff): 
  self.difficulty = diff
  if diff == 1:
   self.maxVelocity = 3
   self.maxbullets = 2
   self.bulletSpeed = .75
  if diff == 2:
   self.maxVelocity = 4
   self.maxbullets = 3
   self.bulletSpeed = .75
  if diff == 3:
   self.maxVelocity = 5
   self.maxbullets = 5
   self.bulletSpeed = .75
  else:
   self.maxVelocity = 5
   self.maxbullets = 6
   self.bulletSpeed = .6
  
 def shoot(self):
  if self.alive:
   #only allow max numbe of  bullets on the screen at a time
   if len(self.bullets.sprites()) < self.maxbullets:
    b = Bullet(self.x,self.y, self.orientation, config.evil_bullet_img)
    b.accelerationDivisor = self.bulletSpeed
    self.bullets.add(b)
