import pygame, random
from rock import Rock
from mediumrock import MediumRock
import crashteroidsconfig

class LargeRock(Rock):
 def __init__(self, game):
  self.game = game
  self.points = 10
  random.seed()
  rk = random.randint(0,2)
  Rock.__init__(self, config.large_rock + str(rk) + ".png")
  Rock.startPos(self)
  
 def explode(self):
  for g in self.groups():
   for i in range(0,2):
    g.add(MediumRock(self.x, self.y, self.game))
  self.kill()
  self.game.increaseScore(self.points)
