import pygame, random
from rock import Rock
from smallrock import SmallRock
import crashteroidsconfig

class MediumRock(Rock):
 def __init__(self, x, y, game):
  self.game = game
  self.points = 20
  random.seed()
  rk = random.randint(0,2)
  Rock.__init__(self, config.medium_rock + str(rk) + ".png")
  self.x = x
  self.y = y
 
 def explode(self):
  for g in self.groups():
   for i in range(0,2):
    g.add(SmallRock(self.x, self.y, self.game))
  self.kill()
  self.game.increaseScore(self.points)
