import pygame
import crashteroidsconfig

class Game():
 def __init__(self):
  self.reset()
  self.freeGuys = 1
  self.freeGuyAt = 4000
  self.freeGuySound = pygame.mixer.Sound(crashteroidsconfig.free_guy_sound)
  self.paused = False
    
 def addFreeGuy(self):
   self.lives += 1
   self.freeGuySound.play()

 def increaseScore(self, points):
  self.score += points * self.multiplier
  if (self.freeGuys * self.freeGuyAt) < self.score:
   self.addFreeGuy()
   self.freeGuys += 1

 def reset(self):
  self.level = 0
  self.lives = 5
  self.score = 0
  self.multiplier = 1
