import pygame, random
from homingrock import HomingRock
from bullet import Bullet
import crashteroidsconfig

class HomingMissle(HomingRock):
 def __init__(self, player, difficulty = 1):
  if difficulty < 3:
   HomingRock.__init__(self, player, config.big_missle_img)
  else:
   HomingRock.__init__(self, player, config.small_missle_img)
  self.player = player
  self.visible = True
  self.startPos()
  self.points = 200  
  self.setDifficulty(difficulty)

 def setDifficulty(self, diff):
  self.difficulty = diff
  if diff == 1:
   self.rotationRate = 5
   self.maxVelocity = 10
  if diff == 2:
   self.rotationRate = 5
   self.maxVelocity = 10
  if diff == 3:
   self.rotationRate = 10
   self.maxVelocity = 10
  if diff == 4:
   self.rotationRate = 15
   self.maxVelocity = 10
  else:
   self.rotationRate = 15
   self.maxVelocity = 12

 def update(self):
  HomingRock.update(self)
