import pygame, random
from baseSprite import BaseSprite

class Rock(BaseSprite):
 def __init__(self, rock_image):
  BaseSprite.__init__(self, rock_image)
  self.accelerationDivisor = 1#run at full speed
  
  #set up random characteristics
  random.seed()
  self.orientation = random.randint(0,23) * 15
  rotation = random.randint(0,2)
  if rotation == 1:
   self.rotatingRight = True
  elif rotation == 2:
   self.rotatingLeft = True
  self.rotationRate = random.choice([5,10,15])
  self.velocityX = random.randint(-12,12)
  self.velocityY = random.randint(-12,12)
      
 def startPos(self):
  #leave room in the center for the tank
  quad = random.randint(0,3)
  if quad == 0:
   self.x = random.randint(0,300)
   self.y = random.randint(0,140)
  if quad == 1:
   self.x = random.randint(500,800)
   self.y = random.randint(0,140)  
  if quad == 2:
   self.x = random.randint(0,200)
   self.y = random.randint(340,480)
  if quad == 3:
   self.x = random.randint(500,800)
   self.y = random.randint(340,480)

