import pygame, random
from homingrock import HomingRock
from bullet import Bullet
import crashteroidsconfig

class Turret(HomingRock):
 def __init__(self, player, bulletsGroup):
  HomingRock.__init__(self, player, config.turret_img)
  self.player = player
  self.bullets = bulletsGroup
  self.maxbullets = 1
  self.startPos()
  self.rotationRate = 5
  self.accelerating = False
  self.maxVelocity = 0
  self.points = 100

 def update(self):
  HomingRock.update(self)
  if self.targetted:
   self.shoot()

 def shoot(self):
  if self.alive:
   #only allow max numbe of  bullets on the screen at a time
   if len(self.bullets.sprites()) < self.maxbullets:
    b = Bullet(self.x,self.y, self.orientation, config.evil_bullet_img)
    b.maxTicks = 100
    b.accelerationDivision = .5
    self.bullets.add(b)
